<div class="d-flex flex-column full-height mb-5">
  <app-header></app-header>
  <div class="container mt-5 flex-grow-1">
    <h1 class="text-center mb-5 lead">
      {{ editMode ? "Editar Rol" : "Crear Rol" }}
    </h1>

    <form [formGroup]="roleForm" (ngSubmit)="onSubmit()">
      <div class="mb-3" *ngIf="editMode">
        <label for="id" class="form-label">ID</label>
        <input
          type="text"
          class="form-control"
          id="id"
          formControlName="id"
          [readonly]="editMode"
          required
        />
      </div>

      <div class="mb-3">
        <label for="nombre" class="form-label">Nombre</label>
        <input
          type="text"
          class="form-control"
          id="nombre"
          formControlName="nombre"
          required
        />
      </div>

      <div class="mb-3">
        <label for="descripcion" class="form-label">Descripción</label>
        <textarea
          class="form-control"
          id="descripcion"
          rows="3"
          formControlName="descripcion"
          required
        ></textarea>
      </div>

      <button
        type="submit"
        class="btn"
        [ngClass]="{ 'btn-warning': editMode, 'btn-primary': !editMode }"
        [disabled]="!roleForm.valid"
      >
        {{ editMode ? "Editar Rol" : "Guardar Rol" }}
      </button>
    </form>
  </div>
  <app-footer></app-footer>
</div>
